VERSION 5.00
Object = "{1A028BB9-0262-48D8-9B67-D74CE4C2A7E8}#2.0#0"; "IngotTextBoxCtl.dll"
Object = "{A54BEB34-AAB3-4A8D-B736-42CB4DA7D664}#2.0#0"; "IngotComboBoxCtl.dll"
Object = "{BAE83016-CA11-4D8A-BBFA-0AE9863B82DE}#2.0#0"; "IngotLabelCtl.dll"
Object = "{9F4EED48-8EC7-4316-A47D-F6161874E478}#2.0#0"; "IngotButtonCtl.dll"
Object = "{899CE9D8-3C9F-48DF-B418-E338294B00E3}#2.0#0"; "IngotCheckBoxCtl.dll"
Begin VB.Form frmMain 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Friction Loss Calc"
   ClientHeight    =   2400
   ClientLeft      =   45
   ClientTop       =   615
   ClientWidth     =   2400
   BeginProperty Font 
      Name            =   "AFPalm"
      Size            =   9
      Charset         =   2
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   160
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   160
   StartUpPosition =   2  'CenterScreen
   Begin IngotCheckBoxCtl.AFCheckBox cbxRound 
      Height          =   180
      Left            =   120
      OleObjectBlob   =   "frmMain.frx":0000
      TabIndex        =   0
      Top             =   1650
      Width           =   1095
   End
   Begin IngotComboBoxCtl.AFComboBox cboDiameter 
      Height          =   240
      Left            =   1770
      OleObjectBlob   =   "frmMain.frx":0057
      TabIndex        =   1
      Top             =   300
      Width           =   585
   End
   Begin IngotLabelCtl.AFLabel lblResults 
      Height          =   195
      Left            =   120
      OleObjectBlob   =   "frmMain.frx":009F
      TabIndex        =   2
      Top             =   1950
      Width           =   2190
   End
   Begin IngotButtonCtl.AFButton cmdCompute 
      Height          =   240
      Left            =   1575
      OleObjectBlob   =   "frmMain.frx":00F2
      TabIndex        =   3
      Top             =   1350
      Width           =   735
   End
   Begin IngotLabelCtl.AFLabel AFLabel2 
      Height          =   210
      Left            =   105
      OleObjectBlob   =   "frmMain.frx":013E
      TabIndex        =   4
      Top             =   315
      Width           =   1515
   End
   Begin IngotTextBoxCtl.AFTextBox txtLength 
      Height          =   210
      Left            =   1770
      OleObjectBlob   =   "frmMain.frx":0196
      TabIndex        =   5
      Top             =   960
      Width           =   555
   End
   Begin IngotTextBoxCtl.AFTextBox txtFlow 
      Height          =   210
      Left            =   1770
      OleObjectBlob   =   "frmMain.frx":01EF
      TabIndex        =   6
      Top             =   615
      Width           =   570
   End
   Begin IngotLabelCtl.AFLabel AFLabel5 
      Height          =   210
      Left            =   105
      OleObjectBlob   =   "frmMain.frx":0248
      TabIndex        =   7
      Top             =   975
      Width           =   1290
   End
   Begin IngotLabelCtl.AFLabel AFLabel4 
      Height          =   240
      Left            =   90
      OleObjectBlob   =   "frmMain.frx":029C
      TabIndex        =   8
      Top             =   645
      Width           =   1590
   End
   Begin IngotButtonCtl.AFButton cmdClear 
      Height          =   240
      Left            =   945
      OleObjectBlob   =   "frmMain.frx":02F5
      TabIndex        =   9
      Top             =   1350
      Width           =   555
   End
   Begin VB.Menu mnuApp 
      Caption         =   "App"
      Begin VB.Menu mnuAppInst 
         Caption         =   "&Instructions..."
      End
      Begin VB.Menu mnuAppPrefs 
         Caption         =   "&Preferences..."
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim mudtPrefs As tPrefs
Private Sub cmdClear_Click()
    txtLength.Text = giDefLength
    txtFlow.Text = giDefFlow
    cboDiameter.ListIndex = giDefDiameter
End Sub
Private Sub Form_Load()
    
    cboDiameter.AddItem "1.5"
    cboDiameter.AddItem "1.75"
    cboDiameter.AddItem "2.5"
    cboDiameter.AddItem "3"
    cboDiameter.AddItem "4"
    
    GetAppPrefs
End Sub
Public Function FrictionLoss(ByVal Flow As Integer, ByVal HoseLength As Integer, ByVal HozeDiameter As Single) As Single
    
    Dim iFrictionCoefficient As Single

On Error GoTo CalcError
    Select Case HozeDiameter
        Case 1.5
            iFrictionCoefficient = 24
        Case 1.75
            iFrictionCoefficient = 15.5
        Case 2.5
            iFrictionCoefficient = 2
        Case 3
            iFrictionCoefficient = 0.8
        Case 4
            iFrictionCoefficient = 0.2
        Case Else
            iFrictionCoefficient = 0
    End Select
    'FL=X(Q Squared)Length where
    '   X=Friction Coefficient
    '   Q=Flow (GPM) / 100
    '   Length = Hose length / 100
    FrictionLoss = iFrictionCoefficient * (Flow / 100) ^ 2 * (HoseLength / 100)
    Exit Function
CalcError:
    FrictionLoss = 0
End Function
Private Sub cmdCompute_Click()
    If cbxRound.Value = afCheckBoxValueChecked Then
        lblResults.Caption = "Friction loss is " & Round(FrictionLoss(CInt(txtFlow.Text), CInt(txtLength.Text), CSng(cboDiameter.Text)), 0) & " PSI"
    Else
        lblResults.Caption = "Friction loss is " & FrictionLoss(CInt(txtFlow.Text), CInt(txtLength.Text), CSng(cboDiameter.Text)) & " PSI"
    End If
End Sub
Private Sub GetAppPrefs()
    giPrefsSize = afExtLib.GetApplicationPreferencesSize(PalmIDtoLong("OR33"), 0, True)
    
    ' Initialize the state of the app, using saved preferences when possible
    giPrefsVer = afExtLib.GetApplicationPreferences(PalmIDtoLong("OR33"), 0, True, giPrefsSize, VarPtr(mudtPrefs))

    If giPrefsVer <> -1 Then
        txtFlow.Text = mudtPrefs.Flow
        txtLength.Text = mudtPrefs.Length
        cboDiameter.ListIndex = mudtPrefs.Diameter
    Else
        ' no prefs, save new set
        giPrefsSize = 6 'Calced manually, 2 + 2 + 2 = 6
        mudtPrefs.Flow = 150
        mudtPrefs.Length = 200
        mudtPrefs.Diameter = 1
        afExtLib.SetApplicationPreferences PalmIDtoLong("OR33"), 0, True, giPrefsSize, VarPtr(mudtPrefs), giPrefsVer + 1
        txtFlow.Text = mudtPrefs.Flow
        txtLength.Text = mudtPrefs.Length
        cboDiameter.ListIndex = mudtPrefs.Diameter
    End If
    giDefFlow = mudtPrefs.Flow
    giDefLength = mudtPrefs.Length
    giDefDiameter = mudtPrefs.Diameter

End Sub
Private Sub mnuAppInst_Click()
    frmMain.Hide
    frmHelp.Show
End Sub
Private Sub mnuAppPrefs_Click()
    frmMain.Hide
    frmPrefs.Show
End Sub
