VERSION 5.00
Object = "{BAE83016-CA11-4D8A-BBFA-0AE9863B82DE}#2.0#0"; "IngotLabelCtl.dll"
Object = "{9F4EED48-8EC7-4316-A47D-F6161874E478}#2.0#0"; "IngotButtonCtl.dll"
Object = "{84BE8A4A-3F9A-44E9-9B5E-E76D4888BA67}#2.0#0"; "IngotToneCtl.dll"
Object = "{1A298ECE-60AD-4C91-BB12-3092A2250D21}#2.0#0"; "IngotTimerCtl.dll"
Begin VB.Form frmClock 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Alarm Clock"
   ClientHeight    =   2400
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2400
   BeginProperty Font 
      Name            =   "AFPalm"
      Size            =   9
      Charset         =   2
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   160
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   160
   StartUpPosition =   2  'CenterScreen
   Begin IngotLabelCtl.AFLabel lblStatus 
      Height          =   150
      Left            =   1065
      OleObjectBlob   =   "frmClock.frx":0000
      TabIndex        =   1
      Top             =   15
      Width           =   1215
   End
   Begin IngotLabelCtl.AFLabel lblAlarmTime 
      Height          =   210
      Left            =   90
      OleObjectBlob   =   "frmClock.frx":0041
      TabIndex        =   2
      Top             =   1485
      Width           =   1320
   End
   Begin IngotLabelCtl.AFLabel AFLabel2 
      Height          =   195
      Left            =   105
      OleObjectBlob   =   "frmClock.frx":0083
      TabIndex        =   3
      Top             =   1155
      Width           =   645
   End
   Begin IngotLabelCtl.AFLabel lblAlarm 
      Height          =   285
      Index           =   0
      Left            =   1485
      OleObjectBlob   =   "frmClock.frx":00CE
      TabIndex        =   4
      Top             =   1140
      Width           =   855
   End
   Begin IngotLabelCtl.AFLabel AFLabel1 
      Height          =   210
      Left            =   1740
      OleObjectBlob   =   "frmClock.frx":0115
      TabIndex        =   5
      Top             =   930
      Width           =   420
   End
   Begin IngotLabelCtl.AFLabel lblTime 
      Height          =   705
      Left            =   0
      OleObjectBlob   =   "frmClock.frx":015B
      TabIndex        =   6
      Top             =   210
      Width           =   2400
   End
   Begin IngotButtonCtl.AFButton cmdSnooze 
      Height          =   510
      Left            =   45
      OleObjectBlob   =   "frmClock.frx":01AD
      TabIndex        =   8
      Top             =   1830
      Width           =   2295
   End
   Begin IngotButtonCtl.AFButton cmdSetAlarm 
      Height          =   255
      Left            =   960
      OleObjectBlob   =   "frmClock.frx":0201
      TabIndex        =   10
      Top             =   1140
      Width           =   450
   End
   Begin IngotLabelCtl.AFLabel lblAlarm 
      Height          =   285
      Index           =   1
      Left            =   1485
      OleObjectBlob   =   "frmClock.frx":024A
      TabIndex        =   11
      Top             =   1410
      Width           =   855
   End
   Begin IngotTimerCtl.AFTimer SnoozeTimer 
      Height          =   480
      Left            =   1140
      OleObjectBlob   =   "frmClock.frx":0292
      TabIndex        =   9
      Top             =   1830
      Width           =   480
   End
   Begin IngotTimerCtl.AFTimer ClockTimer 
      Height          =   480
      Left            =   600
      OleObjectBlob   =   "frmClock.frx":02B3
      TabIndex        =   7
      Top             =   1875
      Width           =   480
   End
   Begin IngotToneCtl.AFTone Alarm 
      Height          =   480
      Left            =   1725
      OleObjectBlob   =   "frmClock.frx":02D4
      TabIndex        =   0
      Top             =   1860
      Width           =   480
   End
End
Attribute VB_Name = "frmClock"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim mdtAlarm As Date     'holds current alarm time
Dim mbSnooze As Boolean  'if snooze button was pressed
Dim mbAlarmOn As Boolean 'indicates if alarm ON or OFF
Private Sub SoundAlarm()
    'Sounds the alarm and flashes the time display
    Alarm.Pitch = 1760
    Alarm.Duration = 1000
    Alarm.Play
    If lblTime.BackColor = afLabelBackground Then
        lblTime.ForeColor = afLabelBackground
        lblTime.BackColor = afLabelBlack
    Else
        lblTime.ForeColor = afLabelBlack
        lblTime.BackColor = afLabelBackground
    End If
End Sub
Private Sub ClockTimer_Timer()
    'set current time in display
    lblTime.Caption = FormattedTime(Time)
    
    'sound alarm if ON and past time and not in snooze cycle
    If mbAlarmOn And Time >= mdtAlarm And Not mbSnooze Then SoundAlarm
    
    'force pda to stay awake
    afExtLib.KeepAwake
    
    DoEvents
End Sub
Private Sub cmdSetAlarm_Click()
    'get time using Palm time picker
    Dim dtNewTime As Date
    dtNewTime = afExtLib.SelectTime(mdtAlarm, "Select Alarm Time")
    mdtAlarm = dtNewTime
    lblAlarmTime.Caption = FormattedTime(dtNewTime)
End Sub
Private Sub cmdSnooze_Click()
    'set snooze timer and reset display
    mbSnooze = True
    SnoozeTimer.Enabled = True
    lblTime.ForeColor = afLabelBlack
    lblTime.BackColor = afLabelBackground
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = vchrHard4 Then
        lblAlarm_Click 1
        lblAlarmTime.Caption = ""
    End If
    Debug.Print KeyCode
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ReleaseKeyCode vchrHard4
End Sub

Private Sub SnoozeTimer_Timer()
    'turn off timer and force alarm
    mbSnooze = False
    SnoozeTimer.Enabled = False
End Sub
Private Sub lblAlarm_Click(Index As Integer)
    'toggle alarm buttons
    If Index = 0 Then
        lblAlarm(0).ForeColor = afLabelBackground
        lblAlarm(0).BackColor = afLabelBlack
        lblAlarm(0).BorderStyle = afLabelBorderNone
        lblAlarm(1).ForeColor = afLabelBlack
        lblAlarm(1).BackColor = afLabelBackground
        lblAlarm(1).BorderStyle = afLabelBorderSingle
        mbAlarmOn = True
        mbSnooze = False
    Else
        lblAlarm(1).ForeColor = afLabelBackground
        lblAlarm(1).BackColor = afLabelBlack
        lblAlarm(1).BorderStyle = afLabelBorderNone
        lblAlarm(0).ForeColor = afLabelBlack
        lblAlarm(0).BackColor = afLabelBackground
        lblAlarm(0).BorderStyle = afLabelBorderSingle
        mbAlarmOn = False
        mbSnooze = False
        SnoozeTimer.Enabled = False
    End If
    lblTime.ForeColor = afLabelBlack
    lblTime.BackColor = afLabelBackground
End Sub
Private Sub Form_Load()
    lblTime.Caption = FormattedTime(Time)
    RegisterKeyCode vchrHard4
End Sub
Private Function FormattedTime(ByVal NewTime As Date) As String
    Dim strTime As String
    Dim iPos As Integer
    Dim iPosSp As Integer
    
    strTime = NewTime
    iPos = InStr(1, strTime, ":")
    iPos = InStr(iPos + 1, strTime, ":")
    iPosSp = InStr(iPos + 1, strTime, " ")
    strTime = Left(strTime, iPos - 1) & Mid(strTime, iPosSp)
    FormattedTime = strTime
End Function
         
