VERSION 5.00
Object = "{BAE83016-CA11-4D8A-BBFA-0AE9863B82DE}#2.0#0"; "IngotLabelCtl.dll"
Object = "{9F4EED48-8EC7-4316-A47D-F6161874E478}#2.0#0"; "IngotButtonCtl.dll"
Begin VB.Form frmMain 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2400
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2400
   BeginProperty Font 
      Name            =   "AFPalm"
      Size            =   9
      Charset         =   2
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   160
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   160
   StartUpPosition =   2  'CenterScreen
   Begin IngotButtonCtl.AFButton btnGetAPI 
      Height          =   210
      Left            =   120
      OleObjectBlob   =   "frmMain.frx":0000
      TabIndex        =   0
      Top             =   1920
      Width           =   510
   End
   Begin IngotLabelCtl.AFLabel lblApp 
      Height          =   615
      Left            =   240
      OleObjectBlob   =   "frmMain.frx":004B
      TabIndex        =   1
      Top             =   360
      Width           =   1815
   End
   Begin IngotButtonCtl.AFButton btnViewData 
      Height          =   210
      Left            =   1560
      OleObjectBlob   =   "frmMain.frx":00AF
      TabIndex        =   2
      Top             =   1920
      Width           =   750
   End
   Begin IngotButtonCtl.AFButton btnCreateDB 
      Height          =   210
      Left            =   735
      OleObjectBlob   =   "frmMain.frx":00FC
      TabIndex        =   3
      Top             =   1920
      Width           =   720
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

'************************************************************
'*
'*  FUNCTION: btnCreateDB_Click
'*
'*  DESCRIPTION: Call the DBSLibFuser to create and populate a
'*               database according to the XML string passed in.
'*
'*  PARAMETERS: None
'*
'*************************************************************
Private Sub btnCreateDB_Click()
    
    Dim bResult As Boolean
    
    g_bDBCreated = False
        
    g_DBStruct.bDeleteDB = True
    
    g_DBStruct.XMLString = "<Database Name=Employee Type=DATA Creator=AFLD><Schema><Field><Num>0</Num><Name>FirstName</Name><Type>6</Type><Length>0</Length></Field><Field><Num>1</Num><Name>LastName</Name><Type>6</Type><Length>0</Length></Field><Field><Num>2</Num><Name>Phone</Name><Type>6</Type><Length>0</Length></Field><Field><Num>3</Num><Name>Email</Name><Type>6</Type><Length>0</Length></Field><Field><Num>4</Num><Name>ID</Name><Type>5</Type><Length>0</Length></Field></Schema><Data><Record><FirstName>Bob H.</FirstName><LastName>Smith</LastName><Phone>(703) 555-1212</Phone><Email>bob_s@company.com</Email><ID>335</ID></Record><Record><FirstName>Lucy D.</FirstName><LastName>Anderson</LastName><Phone>(703) 555-2121</Phone><Email>landerson@company.com</Email><ID>226</ID></Record><Record><FirstName>Jane</FirstName><LastName>Williams</LastName><Phone>(703) 222-5151</Phone><Email>janew@company.com</Email><ID>23</ID></Record>"
    g_DBStruct.XMLString = g_DBStruct.XMLString & _
                           "<Record><FirstName>Jerry</FirstName><LastName>Brown</LastName><Phone>(703) 333-5151</Phone><Email>jbrown@company.com</Email><ID>765</ID></Record><Record><FirstName>Karla</FirstName><LastName>Miller</LastName><Phone>(703) 444-3232</Phone><Email>kmiller@company.com</Email><ID>232</ID></Record><Record><FirstName>Greg</FirstName><LastName>Davidson</LastName><Phone>(703) 888-2929</Phone><Email>gregd@company.com</Email><ID>5</ID></Record></Data></Database>"
   
    'Call the fuser to create the database
    bResult = afPalmOS.CallApp("DBSLibFuser", cmdCreateDB, VarPtr(g_DBStruct))
    If bResult = False Then
        MsgBox "Call to DBSLibFuser failed."
    Else
        If g_DBStruct.nResult = 0 Then
           MsgBox "Create DB succeeded."
           g_bDBCreated = True
        Else
           MsgBox "Create DB failed."
        End If
    End If
            
End Sub
'************************************************************
'*
'*  FUNCTION: btnGetAPI_Click
'*
'*  DESCRIPTION: Call the DBSLibFuser to get the API version of
'*               the DBSLib shared library.
'*
'*  PARAMETERS: None
'*
'*************************************************************
Private Sub btnGetAPI_Click()

   If afPalmOS.CallApp("DBSLibFuser", cmdGetAPI, VarPtr(g_DBAPIStruct)) = False Then
        MsgBox "Call to DBSLibFuser failed.", vbOKOnly
   Else
      If g_DBStruct.nResult = 1 Then
         MsgBox "Could not get API version."
      Else
        MsgBox "API version = " + CStr(g_DBAPIStruct.nMajor) + "." + _
             CStr(g_DBAPIStruct.nMinor)

      End If
   End If
End Sub
'************************************************************
'*
'*  FUNCTION: btnViewData_Click
'*
'*  DESCRIPTION: Call the view form's LoadData routine in order
'*               to populate it's grid with data from the
'*               Employee database.
'*
'*  PARAMETERS: None
'*
'*************************************************************
Private Sub btnViewData_Click()
   
   If g_bDBCreated = False Then
      MsgBox "Must create the database first."
      Exit Sub
   End If
    
   'load the data into the data view's grid that
   Call frmViewData.LoadData
   'hide this form and show the category form
   frmMain.Hide
   frmViewData.Show

End Sub

